- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions

# QMetaType Class Reference

Search for all occurrences

## Detailed Description

Definition at line 62 of file qmetatype.h.

`#include <qmetatype.h>`

List of all members.

## Public Types
enum | Type { Void = 0, Bool = 1, Int = 2, UInt = 3, LongLong = 4, ULongLong = 5, Double = 6, QChar = 7, QVariantMap = 8, QVariantList = 9, QString = 10, QStringList = 11, QByteArray = 12, QBitArray = 13, QDate = 14, QTime = 15, QDateTime = 16, QUrl = 17, QLocale = 18, QRect = 19, QRectF = 20, QSize = 21, QSizeF = 22, QLine = 23, QLineF = 24, QPoint = 25, QPointF = 26, QRegExp = 27, QVariantHash = 28, QEasingCurve = 29, LastCoreType = QEasingCurve, FirstGuiType = 63, QFont = 64, QPixmap = 65, QBrush = 66, QColor = 67, QPalette = 68, QIcon = 69, QImage = 70, QPolygon = 71, QRegion = 72, QBitmap = 73, QCursor = 74, QSizePolicy = 75, QKeySequence = 76, QPen = 77, QTextLength = 78, QTextFormat = 79, QMatrix = 80, QTransform = 81, QMatrix4x4 = 82, QVector2D = 83, QVector3D = 84, QVector4D = 85, QQuaternion = 86, LastGuiType = QQuaternion, FirstCoreExtType = 128, VoidStar = 128, Long = 129, Short = 130, Char = 131, ULong = 132, UShort = 133, UChar = 134, Float = 135, QObjectStar = 136, QWidgetStar = 137, QVariant = 138, LastCoreExtType = QVariant, QReal = Double, User = 256 }
typedef void(* | Destructor )(void *)
typedef void *(* | Constructor )(const void *)
typedef void(* | SaveOperator )(QDataStream &, const void *)
typedef void(* | LoadOperator )(QDataStream &, void *)
## Static Public Member Functions
static void | registerStreamOperators (const char *typeName, SaveOperator saveOp, LoadOperator loadOp)
static void | registerStreamOperators (int type, SaveOperator saveOp, LoadOperator loadOp)
static int | registerType (const char *typeName, Destructor destructor, Constructor constructor)
static int | registerTypedef (const char *typeName, int aliasId)
static int | type (const char *typeName)
static const char * | typeName (int type)
static bool | isRegistered (int type)
static void * | construct (int type, const void *copy=0)
static void | destroy (int type, void *data)
static void | unregisterType (const char *typeName)
static bool | save (QDataStream &stream, int type, const void *data)
static bool | load (QDataStream &stream, int type, void *data)

## Member Typedef Documentation

typedef void(* Destructor)(void *)

Search for all occurrences

Definition at line 104 of file qmetatype.h.

typedef void*(* Constructor)(const void *)

Search for all occurrences

Definition at line 105 of file qmetatype.h.

typedef void(* SaveOperator)(QDataStream &, const void *)

Search for all occurrences

Definition at line 108 of file qmetatype.h.

typedef void(* LoadOperator)(QDataStream &, void *)

Search for all occurrences

Definition at line 109 of file qmetatype.h.

## Member Enumeration Documentation

enum Type

Search for all occurrences

Enumerator:

  Void | Search for all occurrences
  Bool | Search for all occurrences
  Int | Search for all occurrences
  UInt | Search for all occurrences
  LongLong | Search for all occurrences
  ULongLong | Search for all occurrences
  Double | Search for all occurrences
  QChar | Search for all occurrences
  QVariantMap | Search for all occurrences
  QVariantList | Search for all occurrences
  QString | Search for all occurrences
  QStringList | Search for all occurrences
  QByteArray | Search for all occurrences
  QBitArray | Search for all occurrences
  QDate | Search for all occurrences
  QTime | Search for all occurrences
  QDateTime | Search for all occurrences
  QUrl | Search for all occurrences
  QLocale | Search for all occurrences
  QRect | Search for all occurrences
  QRectF | Search for all occurrences
  QSize | Search for all occurrences
  QSizeF | Search for all occurrences
  QLine | Search for all occurrences
  QLineF | Search for all occurrences
  QPoint | Search for all occurrences
  QPointF | Search for all occurrences
  QRegExp | Search for all occurrences
  QVariantHash | Search for all occurrences
  QEasingCurve | Search for all occurrences
  LastCoreType | Search for all occurrences
  FirstGuiType | Search for all occurrences
  QFont | Search for all occurrences
  QPixmap | Search for all occurrences
  QBrush | Search for all occurrences
  QColor | Search for all occurrences
  QPalette | Search for all occurrences
  QIcon | Search for all occurrences
  QImage | Search for all occurrences
  QPolygon | Search for all occurrences
  QRegion | Search for all occurrences
  QBitmap | Search for all occurrences
  QCursor | Search for all occurrences
  QSizePolicy | Search for all occurrences
  QKeySequence | Search for all occurrences
  QPen | Search for all occurrences
  QTextLength | Search for all occurrences
  QTextFormat | Search for all occurrences
  QMatrix | Search for all occurrences
  QTransform | Search for all occurrences
  QMatrix4x4 | Search for all occurrences
  QVector2D | Search for all occurrences
  QVector3D | Search for all occurrences
  QVector4D | Search for all occurrences
  QQuaternion | Search for all occurrences
  LastGuiType | Search for all occurrences
  FirstCoreExtType | Search for all occurrences
  VoidStar | Search for all occurrences
  Long | Search for all occurrences
  Short | Search for all occurrences
  Char | Search for all occurrences
  ULong | Search for all occurrences
  UShort | Search for all occurrences
  UChar | Search for all occurrences
  Float | Search for all occurrences
  QObjectStar | Search for all occurrences
  QWidgetStar | Search for all occurrences
  QVariant | Search for all occurrences
  LastCoreExtType | Search for all occurrences
  QReal | Search for all occurrences
  User | Search for all occurrences

Definition at line 64 of file qmetatype.h.

                  {
            // these are merged with QVariant
            Void = 0, Bool = 1, Int = 2, UInt = 3, LongLong = 4, ULongLong = 5,
            Double = 6, QChar = 7, QVariantMap = 8, QVariantList = 9,
            QString = 10, QStringList = 11, QByteArray = 12,
            QBitArray = 13, QDate = 14, QTime = 15, QDateTime = 16, QUrl = 17,
            QLocale = 18, QRect = 19, QRectF = 20, QSize = 21, QSizeF = 22,
            QLine = 23, QLineF = 24, QPoint = 25, QPointF = 26, QRegExp = 27,
            QVariantHash = 28, QEasingCurve = 29, LastCoreType = QEasingCurve,

            FirstGuiType = 63 /* QColorGroup */,
    #ifdef QT3_SUPPORT
            QColorGroup = 63,
    #endif
            QFont = 64, QPixmap = 65, QBrush = 66, QColor = 67, QPalette = 68,
            QIcon = 69, QImage = 70, QPolygon = 71, QRegion = 72, QBitmap = 73,
            QCursor = 74, QSizePolicy = 75, QKeySequence = 76, QPen = 77,
            QTextLength = 78, QTextFormat = 79, QMatrix = 80, QTransform = 81,
            QMatrix4x4 = 82, QVector2D = 83, QVector3D = 84, QVector4D = 85,
            QQuaternion = 86,
            LastGuiType = QQuaternion,

            FirstCoreExtType = 128 /* VoidStar */,
            VoidStar = 128, Long = 129, Short = 130, Char = 131, ULong = 132,
            UShort = 133, UChar = 134, Float = 135, QObjectStar = 136, QWidgetStar = 137,
            QVariant = 138,
            LastCoreExtType = QVariant,

    // This logic must match the one in qglobal.h
    #if defined(QT_COORD_TYPE)
            QReal = 0,
    #elif defined(QT_NO_FPU) || defined(QT_ARCH_ARM) || defined(QT_ARCH_WINDOWSCE) || defined(QT_ARCH_SYMBIAN)
            QReal = Float,
    #else
            QReal = Double,
    #endif

            User = 256
        };

## Member Function Documentation

static void registerStreamOperators | ( | const char * | typeName,
|  | SaveOperator | saveOp,
|  | LoadOperator | loadOp
| ) |  | `[static]`

Search for all occurrences

static void registerStreamOperators | ( | int | type,
|  | SaveOperator | saveOp,
|  | LoadOperator | loadOp
| ) |  | `[static]`

Search for all occurrences

static int registerType | ( | const char * | typeName,
|  | Destructor | destructor,
|  | Constructor | constructor
| ) |  | `[static]`

Search for all occurrences

static int registerTypedef | ( | const char * | typeName,
|  | int | aliasId
| ) |  | `[static]`

Search for all occurrences

static int type | ( | const char * | typeName | ) | `[static]`

Search for all occurrences

static const char* typeName | ( | int | type | ) | `[static]`

Search for all occurrences

static bool isRegistered | ( | int | type | ) | `[static]`

Search for all occurrences

static void* construct | ( | int | type,
|  | const void * | copy = `0`
| ) |  | `[static]`

Search for all occurrences

static void destroy | ( | int | type,
|  | void * | data
| ) |  | `[static]`

Search for all occurrences

static void unregisterType | ( | const char * | typeName | ) | `[static]`

Search for all occurrences

static bool save | ( | QDataStream & | stream,
|  | int | type,
|  | const void * | data
| ) |  | `[static]`

Search for all occurrences

static bool load | ( | QDataStream & | stream,
|  | int | type,
|  | void * | data
| ) |  | `[static]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtCore/qmetatype.h

QMetaType QMetaType QMetaType QMetaType QMetaType QMetaType QMetaType QMetaType QMetaType QMetaType
QMetaType QMetaType QMetaType QMetaType QMetaType QMetaType QMetaType QMetaType QMetaType QMetaType